> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update an API connector

PATCH https://api.sigmacomputing.com/v2/api-connectors/{apiConnectorId}
Content-Type: application/json

This endpoint updates one or more fields on an existing API connector. For more information on API connectors, see [Configure API credentials and connectors in Sigma](https://help.sigmacomputing.com/docs/configure-api-credentials-and-connectors-in-sigma).

### Usage notes
- Retrieve the **apiConnectorId** by calling the [/v2/api-connectors](https://help.sigmacomputing.com/reference/list-api-connectors) endpoint.
- The user making this request must be assigned an account type with the **Manage API connectors** permission enabled and must have **Can edit** access to the connector.
- Omitted fields are left unchanged. Pass `null` for `authId` to remove the credential association.

### Usage scenarios
- **Endpoint migration:** Update the connector URL or parameters when an external API changes its interface.
- **Credential rotation:** Rebind the connector to a new credential after rotating secrets.

Reference: https://help.sigmacomputing.com/reference/update-api-connector

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/api-connectors/{apiConnectorId}:
    patch:
      operationId: updateApiConnector
      summary: Update an API connector
      description: >-
        This endpoint updates one or more fields on an existing API connector.
        For more information on API connectors, see [Configure API credentials
        and connectors in
        Sigma](https://help.sigmacomputing.com/docs/configure-api-credentials-and-connectors-in-sigma).


        ### Usage notes

        - Retrieve the **apiConnectorId** by calling the
        [/v2/api-connectors](https://help.sigmacomputing.com/reference/list-api-connectors)
        endpoint.

        - The user making this request must be assigned an account type with the
        **Manage API connectors** permission enabled and must have **Can edit**
        access to the connector.

        - Omitted fields are left unchanged. Pass `null` for `authId` to remove
        the credential association.


        ### Usage scenarios

        - **Endpoint migration:** Update the connector URL or parameters when an
        external API changes its interface.

        - **Credential rotation:** Rebind the connector to a new credential
        after rotating secrets.
      tags:
        - apiConnectors
      parameters:
        - name: apiConnectorId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api-connectors_updateApiConnector_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: New display name.
                description:
                  type:
                    - string
                    - 'null'
                  description: New description. Pass `null` to clear.
                params:
                  $ref: >-
                    #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParams
                config:
                  $ref: >-
                    #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfig
                authId:
                  type:
                    - string
                    - 'null'
                  description: >-
                    New credential binding. Pass `null` to remove the
                    credential.
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsMethod:
      type: string
      enum:
        - GET
        - POST
        - DELETE
        - PATCH
        - PUT
        - OPTIONS
        - HEAD
      description: HTTP method to invoke.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsMethod
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItemsMode
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItemsType
    ParamShapeNodeOneOf0TypeItems:
      type: string
      enum:
        - string
      title: ParamShapeNodeOneOf0TypeItems
    ParamShapeNode0:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf0TypeItems'
      required:
        - type
      title: ParamShapeNode0
    ParamShapeNodeOneOf1TypeItems:
      type: string
      enum:
        - number
      title: ParamShapeNodeOneOf1TypeItems
    ParamShapeNode1:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf1TypeItems'
      required:
        - type
      title: ParamShapeNode1
    ParamShapeNodeOneOf2TypeItems:
      type: string
      enum:
        - boolean
      title: ParamShapeNodeOneOf2TypeItems
    ParamShapeNode2:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf2TypeItems'
      required:
        - type
      title: ParamShapeNode2
    ParamShapeNodeOneOf3TypeItems:
      type: string
      enum:
        - object
      title: ParamShapeNodeOneOf3TypeItems
    ParamShapeNode3:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf3TypeItems'
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ParamShapeNode'
      required:
        - type
        - properties
      title: ParamShapeNode3
    ParamShapeNodeOneOf4TypeItems:
      type: string
      enum:
        - array
      title: ParamShapeNodeOneOf4TypeItems
    ParamShapeNode4:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf4TypeItems'
        items:
          $ref: '#/components/schemas/ParamShapeNode'
      required:
        - type
        - items
      title: ParamShapeNode4
    ParamShapeNode:
      oneOf:
        - $ref: '#/components/schemas/ParamShapeNode0'
        - $ref: '#/components/schemas/ParamShapeNode1'
        - $ref: '#/components/schemas/ParamShapeNode2'
        - $ref: '#/components/schemas/ParamShapeNode3'
        - $ref: '#/components/schemas/ParamShapeNode4'
        - type: object
          additionalProperties:
            description: Any type
      title: ParamShapeNode
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItems
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItemsMode
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItemsType
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItems
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItemsMode
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItemsType
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItems
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParams:
      type: object
      properties:
        method:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsMethod
          description: HTTP method to invoke.
        url:
          type: string
          description: >-
            Request URL. Must resolve to a hostname matching the associated
            credential's allowlist.
        headers:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsHeadersItems
          description: Static or dynamic request headers.
        pathParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsPathParamsItems
          description: Path parameter placeholders resolved into the URL.
        queryParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParamsQueryParamsItems
          description: Query string parameters.
        body:
          type: string
          description: Raw request body template.
      required:
        - method
        - url
        - headers
        - pathParams
        - queryParams
        - body
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaParams
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigTimeout:
      type: object
      properties:
        requestSec:
          type: number
          format: double
      required:
        - requestSec
      description: Per-request timeout configuration.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigTimeout
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRetry:
      type: object
      properties:
        maxRetries:
          type: number
          format: double
        retryableStatusCodes:
          type: array
          items:
            type: number
            format: double
      required:
        - maxRetries
        - retryableStatusCodes
      description: >-
        Retry policy. `retryableStatusCodes` are HTTP codes that should trigger
        a retry.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRetry
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRedirects:
      type: object
      properties:
        maxRedirects:
          type: number
          format: double
      required:
        - maxRedirects
      description: HTTP redirect handling.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRedirects
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRateLimit:
      type: object
      properties:
        maxRequestsPerWindow:
          type: number
          format: double
      required:
        - maxRequestsPerWindow
      description: Rate limit applied to outbound requests from this connector.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRateLimit
    V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfig:
      type: object
      properties:
        timeout:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigTimeout
          description: Per-request timeout configuration.
        retry:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRetry
          description: >-
            Retry policy. `retryableStatusCodes` are HTTP codes that should
            trigger a retry.
        redirects:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRedirects
          description: HTTP redirect handling.
        rateLimit:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfigRateLimit
          description: Rate limit applied to outbound requests from this connector.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchRequestBodyContentApplicationJsonSchemaConfig
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsMethod:
      type: string
      enum:
        - GET
        - POST
        - DELETE
        - PATCH
        - PUT
        - OPTIONS
        - HEAD
      description: HTTP method to invoke.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsMethod
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItemsMode
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItemsType
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItems
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItemsMode
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItemsType
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItems
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItemsMode
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItemsType
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItems
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItemsMode
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItemsType
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItems
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParams:
      type: object
      properties:
        method:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsMethod
          description: HTTP method to invoke.
        url:
          type: string
          description: >-
            Request URL. Must resolve to a hostname matching the associated
            credential's allowlist.
        headers:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsHeadersItems
          description: Static or dynamic request headers.
        pathParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsPathParamsItems
          description: Path parameter placeholders resolved into the URL.
        queryParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsQueryParamsItems
          description: Query string parameters.
        body:
          type: string
          description: Raw request body template.
        bodyParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParamsBodyParamsItems
          description: Dynamic parameters extracted from `body`.
      required:
        - method
        - url
        - headers
        - pathParams
        - queryParams
        - body
        - bodyParams
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParams
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigTimeout:
      type: object
      properties:
        requestSec:
          type: number
          format: double
      required:
        - requestSec
      description: Per-request timeout configuration.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigTimeout
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRetry:
      type: object
      properties:
        maxRetries:
          type: number
          format: double
        retryableStatusCodes:
          type: array
          items:
            type: number
            format: double
      required:
        - maxRetries
        - retryableStatusCodes
      description: >-
        Retry policy. `retryableStatusCodes` are HTTP codes that should trigger
        a retry.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRetry
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRedirects:
      type: object
      properties:
        maxRedirects:
          type: number
          format: double
      required:
        - maxRedirects
      description: HTTP redirect handling.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRedirects
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRateLimit:
      type: object
      properties:
        maxRequestsPerWindow:
          type: number
          format: double
      required:
        - maxRequestsPerWindow
      description: Rate limit applied to outbound requests from this connector.
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRateLimit
    V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfig:
      type: object
      properties:
        timeout:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigTimeout
          description: Per-request timeout configuration.
        retry:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRetry
          description: >-
            Retry policy. `retryableStatusCodes` are HTTP codes that should
            trigger a retry.
        redirects:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRedirects
          description: HTTP redirect handling.
        rateLimit:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfigRateLimit
          description: Rate limit applied to outbound requests from this connector.
      required:
        - timeout
        - retry
        - redirects
        - rateLimit
      title: >-
        V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfig
    api-connectors_updateApiConnector_Response_200:
      type: object
      properties:
        apiConnectorId:
          type: string
          description: Unique identifier of the API connector.
        name:
          type: string
          description: Display name of the connector.
        params:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaParams
        config:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdPatchResponsesContentApplicationJsonSchemaConfig
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        description:
          type: string
          description: Human-readable description.
        authId:
          type:
            - string
            - 'null'
          description: >-
            Identifier of the API credential (`apiCredentialId`) used to
            authenticate requests. `null` if unauthenticated.
      required:
        - apiConnectorId
        - name
        - params
        - config
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: api-connectors_updateApiConnector_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "apiConnectorId": "string",
  "name": "string",
  "params": {
    "method": "GET",
    "url": "string",
    "headers": [
      {
        "key": "string",
        "mode": "static",
        "value": "string",
        "type": "array",
        "shape": {}
      }
    ],
    "pathParams": [
      {
        "key": "string",
        "mode": "static",
        "value": "string",
        "type": "array",
        "shape": {}
      }
    ],
    "queryParams": [
      {
        "key": "string",
        "mode": "static",
        "value": "string",
        "type": "array",
        "shape": {}
      }
    ],
    "body": "string",
    "bodyParams": [
      {
        "key": "string",
        "mode": "static",
        "value": "string",
        "type": "array",
        "shape": {}
      }
    ]
  },
  "config": {
    "timeout": {
      "requestSec": 1.1
    },
    "retry": {
      "maxRetries": 1.1,
      "retryableStatusCodes": [
        1.1
      ]
    },
    "redirects": {
      "maxRedirects": 1.1
    },
    "rateLimit": {
      "maxRequestsPerWindow": 1.1
    }
  },
  "createdBy": "string",
  "updatedBy": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "description": "string",
  "authId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/api-connectors/apiConnectorId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```